summaryrefslogtreecommitdiff
path: root/recipes-core/mlinux-scripts
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2017-08-25 19:02:11 -0500
committerJohn Klug <john.klug@multitech.com>2017-09-14 17:28:40 -0500
commitb0f3ba090fd0335a1260f378c990c5aadca7d21f (patch)
treec6ee5d362c2cf9f0e48a626b7fe35a7e50d6327f /recipes-core/mlinux-scripts
parent153a72a54c8483c972085334843abec6065a3dd0 (diff)
downloadmeta-mlinux-atmel-b0f3ba090fd0335a1260f378c990c5aadca7d21f.tar.gz
meta-mlinux-atmel-b0f3ba090fd0335a1260f378c990c5aadca7d21f.tar.bz2
meta-mlinux-atmel-b0f3ba090fd0335a1260f378c990c5aadca7d21f.zip
Script to enable and disable the APN in chat script for LNA3
Diffstat (limited to 'recipes-core/mlinux-scripts')
-rwxr-xr-xrecipes-core/mlinux-scripts/mlinux-scripts-1.1/mlinux-switch-apn45
-rw-r--r--recipes-core/mlinux-scripts/mlinux-scripts.inc2
2 files changed, 47 insertions, 0 deletions
diff --git a/recipes-core/mlinux-scripts/mlinux-scripts-1.1/mlinux-switch-apn b/recipes-core/mlinux-scripts/mlinux-scripts-1.1/mlinux-switch-apn
new file mode 100755
index 0000000..9f0fc3a
--- /dev/null
+++ b/recipes-core/mlinux-scripts/mlinux-scripts-1.1/mlinux-switch-apn
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# Copyright (C) 2014 Multi-Tech Systems
+
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+lna3_chat_file=/etc/ppp/peers/lna3_chat
+model=$(radio-query --model 2>/dev/null)
+
+if [[ $model != "LE910-NA1" ]] ; then
+ # Nothing to do
+ exit 0
+fi
+fw=$(radio-query --active-firmware 2>/dev/null) || ((fw=-1))
+if (( fw == 1 )) ; then
+ # Verizon is active, so comment out the APN
+ echo "Temporarily commenting out APN, since Verizon is active and no APN is allowed in a Verizon chat file."
+ sed -r -i "s/^(OK\s+'AT\+CGDCONT=3,\"IPV4V6\",\"[^\"]*\"'$)/#comment by mlinux-set-apn \1/" $lna3_chat_file
+else
+ # Set non-Verizon APN in chat file
+ # if sed -r -i "s/^(#comment by mlinux-set-apn )* OK\s+'AT\+CGDCONT=3,\"IPV4V6\",\"[^\"]*\"'$/OK 'AT\+CGDCONT=3,\"IPV4V6\",\"${apn}\"'/" $lna3_chat_file ; then
+ # (OK\s+'AT\+CGDCONT=3,\"IPV4V6\",\"(^\"]*\"'$)
+ if sed -r -i "s/^(#comment by mlinux-set-apn )*(OK\s+'AT\+CGDCONT=3,\"IPV4V6\",\"[^\"]*\"'$)/\2/" $lna3_chat_file ; then
+ echo "Set APN in $lna3_chat_file"
+ else
+ echo "Failed to set APN in $lna3_chat_file"
+ fi
+ exit 0
+fi
diff --git a/recipes-core/mlinux-scripts/mlinux-scripts.inc b/recipes-core/mlinux-scripts/mlinux-scripts.inc
index 0f5c136..e7f4b94 100644
--- a/recipes-core/mlinux-scripts/mlinux-scripts.inc
+++ b/recipes-core/mlinux-scripts/mlinux-scripts.inc
@@ -8,6 +8,7 @@ RDEPENDS_${PN} += "bash"
SRC_URI = "file://mlinux-wifi-ap \
file://mlinux-dhcpd \
file://mlinux-set-apn \
+ file://mlinux-switch-apn \
file://mlinux-cell-router \
file://mlinux-firmware-upgrade \
"
@@ -18,6 +19,7 @@ do_install() {
install -m 755 ${WORKDIR}/mlinux-wifi-ap ${D}${sbindir}
install -m 755 ${WORKDIR}/mlinux-dhcpd ${D}${sbindir}
install -m 755 ${WORKDIR}/mlinux-set-apn ${D}${sbindir}
+ install -m 755 ${WORKDIR}/mlinux-switch-apn ${D}${sbindir}
install -m 755 ${WORKDIR}/mlinux-cell-router ${D}${sbindir}
install -m 755 ${WORKDIR}/mlinux-firmware-upgrade ${D}${sbindir}
}